Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.linear
Interface RealVectorChangingVisitor

    public interface RealVectorChangingVisitor

This interface defines a visitor for the entries of a vector. Visitors implementing this interface may alter the entries of the vector being visited.

Since:
  3.1
Version:
  $Id: RealVectorChangingVisitor.java 1416643 2012-12-03 19:37:14Z tn $

Method Summary
`double` | `end()` End visiting a vector.
`void` | `start(int dimension, int start, int end)` Start visiting a vector.
`double` | `visit(int index, double value)` Visit one entry of the vector.

Method Detail

### start

    void start(int dimension,
               int start,
               int end)

  Start visiting a vector. This method is called once, before any entry of the vector is visited.

  Parameters:
    `dimension` - the size of the vector
    `start` - the index of the first entry to be visited
    `end` - the index of the last entry to be visited (inclusive)

### visit

    double visit(int index,
                 double value)

  Visit one entry of the vector.

  Parameters:
    `index` - the index of the entry being visited
    `value` - the value of the entry being visited
  Returns:
    the new value of the entry being visited

### end

    double end()

  End visiting a vector. This method is called once, after all entries of the vector have been visited.

  Returns:
    the value returned by `RealVector.walkInDefaultOrder(RealVectorChangingVisitor)`, `RealVector.walkInDefaultOrder(RealVectorChangingVisitor, int, int)`, `RealVector.walkInOptimizedOrder(RealVectorChangingVisitor)` or `RealVector.walkInOptimizedOrder(RealVectorChangingVisitor, int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.